Subject: Re: WG Last Call: Algorithms draft

From: "Tolga Acar" <[email-masked]>
Date: Mon, 26 Mar 2001 11:18:29 -0700

Tim,

Here are my comments:

* For reference to the RFC corresponding to PKCS#1, RFC2437 obsoletes RFC2313. Replace all references to 2313 with 2437.

* For DSA, there is a FIPS 186-2. It may be wise to replace all references to FIPS 186 by FIPS 186-2.

* In Section 2.3.3, the Diffie-Hellman's Domain Parameters definition, it says"g specifies the generator of the multiplicative subgroup of order g". The order is not g, it must be q. Yes, the same error is also in RFC2459, and I posted about this more than a year ago, but no one seems to care.
It is also prudent to modify the definition of q as "the large prime factor of p-1, and the order of g".

* A refererence to the IEEE's P1363 Standard Specifications for Public Key Cryptography seems appropriate for all algorithms, in addition to references to various X9s.

* In section 2.3.5, definition of id-ecPublicKey has a reference to id-publicKeyType, that is undefined. I suspect it is a typo.

Best,
- Tolga

>>> Tim Polk <[email-masked]> 3/21/01 15:06:45 >>>
Folks,

This message announces Working Group Last Call for the updates to the PKIX 
Public Key Algorithms draft. The specification is currently available at 
http://www.ietf.org/internet-drafts/draft-ietf-pkix-ipki-pkalgs-02.txt. The 
chairs plan to request Proposed Standard status for this document, and it 
will advance with the Certs and CRL Profile.

Last Call will remain open through at least April 4, 2001.

Thanks,

Tim Polk

---

From: Russ Housley <[email-masked]>
Date: Fri, 30 Mar 2001 14:30:03 -0500

Tolga:

>* For reference to the RFC corresponding to PKCS#1, RFC2437 obsoletes 
>RFC2313. Replace all references to 2313 with 2437.

We only use PKCS#1 v1.5, so the older reference is still okay.

> references to FIPS 186 by FIPS 186-2.

You are right.  Since FIPS 186-2 includes three signature algorithms, we 
thought that the reference to a document with a single signature algorithm 
was more helpful.

>* In Section 2.3.3, the Diffie-Hellman's Domain Parameters definition, it 
>says"g specifies the generator of the multiplicative subgroup of order g". 
>The order is not g, it must be q. Yes, the same error is also in RFC2459, 
>and I posted about this more than a year ago, but no one seems to care.

We will fix it in this document.  Once an RFC is posted, it cannot be changed.

We did not mean to ignore your comments.  Sorry.  Please review the 
soon-to-be-posted update and make sure we get it right.

>* A refererence to the IEEE's P1363 Standard Specifications for Public Key 
>Cryptography seems appropriate for all algorithms, in addition to 
>references to various X9s.

It is my understanding that X9 and IEEE P1363 groups cooperate.  However, 
the X9 groups assign the OIDs, so we were trying to point to the most 
helpful document.  We can certainly add IEEE P1363 to the list of 
references.  Can you provide the reference?  It would save a few minutes 
tracking it down.

>  * In section 2.3.5, definition of id-ecPublicKey has a reference to 
> id-publicKeyType, that is undefined. I suspect it is a typo.

Thanks.  We will fix it.  Again, please review the soon-to-be-posted update 
and make sure we get it right.

Russ